# CreateHookOption

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**active** | Option<**bool**> |  | [optional][default to false]
**branch_filter** | Option<**String**> |  | [optional]
**config** | **::std::collections::HashMap<String, String>** | CreateHookOptionConfig has all config options in it required are \"content_type\" and \"url\" Required | 
**events** | Option<**Vec<String>**> |  | [optional]
**r#type** | **String** |  | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


